using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Todo.Persistence.Mongo.Repositories.Dtos;

public record MongoTodo
{
    [BsonId]
    [BsonRepresentation(BsonType.ObjectId)]
    public string Id { get; init; }

    [BsonRequired] public string Title { get; init; }
    [BsonRequired] public bool Status { get; set; }
}