using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Todo.Persistence.Mongo.Repositories.Dtos
{
    public record MongoUser
    {
        [BsonId]
        [BsonRepresentation(BsonType.ObjectId)]
        public string Id { get; init; }

        [BsonRequired] public string Email { get; init; }
        [BsonRequired] public string Password { get; set; }
    }
}