module.exports = {
  mode: "jit",
  purge: {
    content: ["./src/**/*.{ts,tsx}"],
  },
  darkMode: "media", // or 'media' or 'class'
  theme: {
    extend: {
      colors: {
        gray: {
          50: "#eaeaea",
          100: "#d4d4d5",
          200: "#bfbfc0",
          300: "#a9aaab",
          400: "#949596",
          500: "#535557",
          600: "#3d3f42",
          700: "#282A2D",
          800: "#1c1d1f",
          900: "#141517",
        },
        accent: {
          50: "#fcf6e7",
          100: "#faeccf",
          200: "#f5d99e",
          300: "#efc66e",
          400: "#eab33d",
          500: "#e5a00d",
          600: "#b7800a",
          700: "#896008",
          800: "#5c4005",
          900: "#2e2003",
        },
      },
    },
  },
  variants: {
    extend: {},
  },
  plugins: [],
};
