namespace Todo.Core.Interfaces.Persistence;

public interface ITodoRepository
{
    Task<Entities.Todo> CreateTodoAsync(string title);
    Task<IEnumerable<Entities.Todo>> GetTodosAsync();
    Task UpdateTodoStatus(string todoId, bool todoStatus);
    Task<IEnumerable<Entities.Todo>> GetNotDoneTodos();
}