import { AppProps } from "next/app";

import "@src/styles/tailwind.css";
import SocketProvider from "@src/presentation/contexts/SocketContext";

const MyApp = ({ Component, pageProps }: AppProps) => (
  <SocketProvider>
    <Component {...pageProps} />
  </SocketProvider>
);
export default MyApp;
